%global momorel 4

Summary: widgets for developing instant messaging clients
Name: empathy
Version: 2.30.2
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: empathy-2.30.2-libchamplain-0.6.1.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:    python
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: libxml2-devel >= 2.7.3
BuildRequires: telepathy-farsight-devel
BuildRequires: telepathy-glib-devel >= 0.7.26
BuildRequires: telepathy-mission-control-devel >= 5.2.1
BuildRequires: GConf2-devel >= 2.26.0
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: libX11-devel
BuildRequires: libglade2-devel >= 2.6.4
BuildRequires: enchant-devel >= 1.4.2
BuildRequires: iso-codes
BuildRequires: gnome-panel-devel >= 2.26.0
BuildRequires: check-devel >= 0.9.5
BuildRequires: pygtk2-devel >= 2.14.1
BuildRequires: evolution-data-server-devel >= 2.30.2
BuildRequires: gnome-doc-utils-devel >= 0.17.3
BuildRequires: libchamplain-devel >= 0.6.1
BuildRequires: NetworkManager-glib-devel >= 0.8
BuildRequires: geoclue-devel
Requires(pre): rarian
Requires(pre): GConf2
Requires:      NetworkManager-glib
Requires(pre): hicolor-icon-theme gtk2
Obsoletes: %{name}-devel

%description
Empathy is a re-usable collection of Graphical User Interface widgets
for developing instant messaging clients for the GNOME desktop. It is
written as extension to the Telepathy framework, for connecting to
different instant messaging networks with a unified user interface.

%prep
%setup -q
%patch0 -p1 -b .libchamplain

%build
autoconf
%configure --disable-static \
    --enable-gtk-doc \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-spell=yes \
    --enable-megaphone=yes \
    --enable-nothere=yes \
    --enable-python=yes \
    --enable-map=yes \
    --enable-location=yes \
    --enable-webkit=yes \
    --enable-nothere=yes \
    --enable-moblin=no \
    --enable-shave
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/empathy.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/empathy.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/empathy.schemas \
	> /dev/null || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/empathy.schemas
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/empathy-accounts.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/gnome/help/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Empathy.service
%{_datadir}/telepathy/clients/Empathy.client

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.2-4m)
- full rebuild for mo7 release

* Sun Jun 27 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.30.2-3m)
- add BuildRequires

* Sun Jun 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-2m)
- rebuild against libchamplain-0.6.1

* Wed Jun 23 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-1m)
- update to 2.30.2

* Mon Jun 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1.1-2m)
- rebuild against evolution-2.30.2

* Thu Jun 10 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1.1-1m)
- update to 2.30.1.1

* Tue May 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-2m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Wed Apr 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0.2-1m)
- update to 2.30.0.2

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0.1-1m)
- update to 2.30.0.1

* Mon Apr  5 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.29.91-2m)
- rebuild against NetworkManager-0.8

* Sat Feb 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.91-1m)
- update to 2.29.91

* Mon Feb 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.90-1m)
- update to 2.29.90
- delete devel package

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.28.2-3m)
- delete __libtoolize hack

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.2-2m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Tue Dec 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.2-1m)
- update to 2.28.2

* Thu Nov 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1.2-1m)
- update to 2.28.1.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.1.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 27 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1.1-1m)
- update to 2.28.1.1

* Tue Oct 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Sun Oct  4 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0.1-1m)
- update to 2.28.0.1

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0
-- delete patch0

* Tue Sep 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.92-1m)
- update to 2.27.92
-- add patch0 for libchampain-0.4.0

* Sat Sep  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.91.1-1m)
- update to 2.27.91.1

* Sat Jul 11 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.26.2-3m)
- add BuildPrereq

* Sun Jul  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-2m)
- move pc file to devel

* Fri May 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Wed Apr 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Tue Mar 31 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0.1-1m)
- update to 2.26.0.1

* Tue Mar 17 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.25.92-2m)
- rebuild against glib2 >= 2.19.8
-- remove -fno-strict-aliasing workaround for gcc44

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sun Feb 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Sat Feb 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.25.90-2m)
- add BuildPrereq: telepathy-farsight

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Feb  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.1-4m)
- build with -fno-strict-aliasing when gcc44

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.1-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.24.1-2m)
- rebuild against python-2.6.1-1m

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Tue Sep 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-2m)
- welcome evolution-data-server

* Tue Sep 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- initial build
- good-bye evolution
